net.sourceforge.pmd.util

## Class FileFinder

- java.lang.Object
- - net.sourceforge.pmd.util.FileFinder

-     public class FileFinder
      extends Object

  A utility class for finding files within a directory.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileFinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<File>` | `findFilesFrom(String dir, FilenameFilter filter, boolean recurse)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileFinder

          public FileFinder()

  - ### Method Detail

    - #### findFilesFrom

          public List<File> findFilesFrom(String dir,
                                 FilenameFilter filter,
                                 boolean recurse)

Copyright © 2002-2013 InfoEther. All Rights Reserved.